net.snowflake.client.core

## Class HttpClientSettingsKey

- java.lang.Object
- - net.snowflake.client.core.HttpClientSettingsKey

All Implemented Interfaces:
  Serializable

    public class HttpClientSettingsKey
    extends Object
    implements Serializable

This class defines all non-static parameters needed to create an HttpClient object. It is used as the key for the static hashmap of reusable http clients.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpClientSettingsKey(OCSPMode mode)`
`HttpClientSettingsKey(OCSPMode mode, String host, int port, String nonProxyHosts, String user, String password, String scheme)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getNonProxyHosts()`
`OCSPMode` `getOcspMode()`
`String` `getProxyHost()`
`int` `getProxyPort()`
`com.amazonaws.Protocol` `getProxyProtocol()`
`String` `getProxyUser()`
`int` `hashCode()`
`boolean` `usesProxy()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientSettingsKey

    public HttpClientSettingsKey(OCSPMode mode,
                                 String host,
                                 int port,
                                 String nonProxyHosts,
                                 String user,
                                 String password,
                                 String scheme)

#### HttpClientSettingsKey

    public HttpClientSettingsKey(OCSPMode mode)

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getOcspMode

    public OCSPMode getOcspMode()

#### usesProxy

    public boolean usesProxy()

#### getProxyHost

    public String getProxyHost()

#### getProxyPort

    public int getProxyPort()

#### getProxyUser

    public String getProxyUser()

#### getNonProxyHosts

    public String getNonProxyHosts()

#### getProxyProtocol

    public com.amazonaws.Protocol getProxyProtocol()